Summary: suck receives/sends news via NNTP
Name: suck
Version: 3.5.2
Release: 1
Copyright: Public Domain
Group: Networking/News
Source: sunsite.unc.edu:/pub/Linux/system/news/transport/suck-3.5.2.tar.gz
Source1: README.FIRST.tar.gz
Source2: suck.log
Packager: Karsten Weiss <karsten@addx.au.s.shuttle.de>
Patch0: suck-3.5.1.patch
BuildRoot: /tmp/suck-root

%changelog
* Mon Sep 1 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Ugraded package to suck-3.5.2.

* Fri Jun 20 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Ugraded package to suck-3.5.1.

* Sat Jun 7 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Decided to install the sample config files by default as this is
  no problem anymore thanks to Builroot.
- Forgot to kill the .orig files... Fixed!
- Fixed a mistake in the path of the description text below.

* Fri Jun 6 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Buildrooted.
- logrotate support
- Included README.FIRST text.

* Wed Jun 4 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Created this spec file.

%description
The primary use for suck is to feed a local INN or CNEWS server, without
the remote NNTP feeding you articles.  It is designed for a small, partial
news feed.  It is NOT designed to feed 10,000 groups and 3 Gigs of articles
a day.

Read /usr/doc/suck-3.5.2-1/README.FIRST after installing this package!

%prep
%setup
%setup -D -T -a 1

%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" \
  ./configure --prefix=/usr
make

%install
find . -name "*.orig" -exec rm -f {} \;
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
make BUILDROOT=$RPM_BUILD_ROOT install
install -d -g news -o news -m 775 $RPM_BUILD_ROOT/var/lib/suck
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/suck.log $RPM_BUILD_ROOT/etc/logrotate.d/suck
install -m 750 -o news -g news sample/get.news.innxmit $RPM_BUILD_ROOT/var/lib/suck
install -m 750 -o news -g news sample/get.news.rnews $RPM_BUILD_ROOT/var/lib/suck
install -m 750 -o news -g news sample/put.news $RPM_BUILD_ROOT/var/lib/suck
install -m 644 -o news -g news sample/suckkillfile.sample $RPM_BUILD_ROOT/var/lib/suck/suckkillfile
install -m 644 -o news -g news sample/sucknewsrc.sample $RPM_BUILD_ROOT/var/lib/suck/sucknewsrc

%post 
# Create initial log files so that logrotate doesn't complain
touch /var/log/suck.errlog
chown news.news /var/log/suck.errlog
chmod 664 /var/log/suck.errlog

%postun
rm -f /var/log/suck.errlog*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.FIRST CHANGELOG CONTENTS README sample/
%config /etc/logrotate.d/suck
%config /var/lib/suck/get.news.innxmit
%config /var/lib/suck/get.news.rnews
%config /var/lib/suck/put.news
%config /var/lib/suck/suckkillfile
%config /var/lib/suck/sucknewsrc
/usr/bin/suck
/usr/bin/rpost
/usr/bin/testhost
/usr/bin/lmove
/usr/man/man1/suck.1
/usr/man/man1/rpost.1
/usr/man/man1/testhost.1
/usr/man/man1/lmove.1
/usr/man/man1/lpost.1
